Bug 1410435 - [abrt] gnome-shell: touch_handle_surface_destroy(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: touch_handle_surface_destroy(): gnome-shell killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2a1a63ba3e287dcbe6d5ef5e486...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 13:42 UTC by seb
Modified: 2017-12-12 10:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:14:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.53 KB, text/plain)
2017-01-05 13:42 UTC, seb
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-05 13:42 UTC, seb
no flags Details
File: core_backtrace (5.62 KB, text/plain)
2017-01-05 13:42 UTC, seb
no flags Details
File: dso_list (25.47 KB, text/plain)
2017-01-05 13:42 UTC, seb
no flags Details
File: environ (1014 bytes, text/plain)
2017-01-05 13:42 UTC, seb
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-05 13:42 UTC, seb
no flags Details
File: maps (151.96 KB, text/plain)
2017-01-05 13:43 UTC, seb
no flags Details
File: mountinfo (3.73 KB, text/plain)
2017-01-05 13:43 UTC, seb
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-05 13:43 UTC, seb
no flags Details
File: open_fds (8.77 KB, text/plain)
2017-01-05 13:43 UTC, seb
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-05 13:43 UTC, seb
no flags Details
File: var_log_messages (774 bytes, text/plain)
2017-01-05 13:43 UTC, seb
no flags Details

Description seb 2017-01-05 13:42:29 UTC
Description of problem:
all applications became unclickable i could only use the window controls (maximize, minimize, close). Keyboard interactions were working so I could browse through the app by hitting TAB. Was everything was unresponsive regarding mouse interaction, except window controls
After a while, after shutting down a coupleof apps (vivaldi, terminal, pycharm) there was one vivaldi instance running and everything came back to normal.

Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: touch_handle_surface_destroy
executable:     /usr/bin/gnome-shell
global_pid:     1666
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 touch_handle_surface_destroy at wayland/meta-wayland-touch.c:142
 #5 wl_signal_emit at src/wayland-server-core.h:357
 #6 destroy_resource at src/wayland-server.c:607
 #7 wl_resource_destroy at src/wayland-server.c:626
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:525
 #10 wl_closure_invoke at src/connection.c:935
 #11 wl_client_connection_data at src/wayland-server.c:371
 #12 wl_event_loop_dispatch at src/event-loop.c:423
 #13 wayland_event_source_dispatch at wayland/meta-wayland.c:79

Potential duplicate: bug 1283435

Comment 1 seb 2017-01-05 13:42:38 UTC
Created attachment 1237647 [details]
File: backtrace

Comment 2 seb 2017-01-05 13:42:40 UTC
Created attachment 1237648 [details]
File: cgroup

Comment 3 seb 2017-01-05 13:42:43 UTC
Created attachment 1237649 [details]
File: core_backtrace

Comment 4 seb 2017-01-05 13:42:46 UTC
Created attachment 1237650 [details]
File: dso_list

Comment 5 seb 2017-01-05 13:42:48 UTC
Created attachment 1237651 [details]
File: environ

Comment 6 seb 2017-01-05 13:42:53 UTC
Created attachment 1237652 [details]
File: limits

Comment 7 seb 2017-01-05 13:43:00 UTC
Created attachment 1237653 [details]
File: maps

Comment 8 seb 2017-01-05 13:43:02 UTC
Created attachment 1237654 [details]
File: mountinfo

Comment 9 seb 2017-01-05 13:43:05 UTC
Created attachment 1237655 [details]
File: namespaces

Comment 10 seb 2017-01-05 13:43:07 UTC
Created attachment 1237656 [details]
File: open_fds

Comment 11 seb 2017-01-05 13:43:09 UTC
Created attachment 1237657 [details]
File: proc_pid_status

Comment 12 seb 2017-01-05 13:43:12 UTC
Created attachment 1237658 [details]
File: var_log_messages

Comment 13 youjinuser 2017-02-15 02:48:14 UTC
Similar problem has been detected:

- Open up the Videos app
- Browse through podcasts using touchscreen (with my trackpad bend over so I can't touch it)
- Tap on one podcast, waiting for it to play.
- When it plays, I accidently skip over to 22 minutes
- To bring it back, I try tapping the bottom area of the player, but it doesn't work (the slider doesn't pop up)
- Try some gestures
- Gnome shell is crashed.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: touch_handle_surface_destroy
executable:     /usr/bin/gnome-shell
global_pid:     1737
kernel:         4.9.8-201.fc25.x86_64
package:        gnome-shell-3.22.2-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2017-11-16 14:38:42 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:14:18 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.